Bullet Collision Detection & Physics Library: SupportVertexCallback Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Attributes | List of all members
SupportVertexCallback Class Reference
Inheritance diagram for SupportVertexCallback:
[legend]
Collaboration diagram for SupportVertexCallback:
[legend]

## Public Member Functions
| SupportVertexCallback (const btVector3 &supportVecWorld, const btTransform &trans)
virtual void | processTriangle (btVector3 *triangle, int partId, int triangleIndex)
btVector3 | GetSupportVertexWorldSpace ()
btVector3 | GetSupportVertexLocal ()
Public Member Functions inherited from btTriangleCallback
virtual | ~btTriangleCallback ()
virtual void | processTriangle (btVector3 *triangle, int partId, int triangleIndex)=0

## Public Attributes
btTransform | m_worldTrans
btScalar | m_maxDot
btVector3 | m_supportVecLocal

## Private Attributes
btVector3 | m_supportVertexLocal

## Detailed Description

Definition at line 70 of file btTriangleMeshShape.cpp.

## Constructor & Destructor Documentation

## ◆ SupportVertexCallback()

SupportVertexCallback::SupportVertexCallback | ( | const btVector3 & | supportVecWorld,
|  | const btTransform & | trans
| ) |  |
| inline

Definition at line 79 of file btTriangleMeshShape.cpp.

## Member Function Documentation

## ◆ GetSupportVertexLocal()

btVector3 SupportVertexCallback::GetSupportVertexLocal | ( |  | ) |
| inline

Definition at line 106 of file btTriangleMeshShape.cpp.

## ◆ GetSupportVertexWorldSpace()

btVector3 SupportVertexCallback::GetSupportVertexWorldSpace | ( |  | ) |
| inline

Definition at line 101 of file btTriangleMeshShape.cpp.

## ◆ processTriangle()

virtual void SupportVertexCallback::processTriangle | ( | btVector3 * | triangle,
|  | int | partId,
|  | int | triangleIndex
| ) |  |
| inlinevirtual

Implements btTriangleCallback.

Definition at line 86 of file btTriangleMeshShape.cpp.

## Member Data Documentation

## ◆ m_maxDot

btScalar SupportVertexCallback::m_maxDot

Definition at line 76 of file btTriangleMeshShape.cpp.

## ◆ m_supportVecLocal

btVector3 SupportVertexCallback::m_supportVecLocal

Definition at line 77 of file btTriangleMeshShape.cpp.

## ◆ m_supportVertexLocal

btVector3 SupportVertexCallback::m_supportVertexLocal
| private

Definition at line 72 of file btTriangleMeshShape.cpp.

## ◆ m_worldTrans

btTransform SupportVertexCallback::m_worldTrans

Definition at line 75 of file btTriangleMeshShape.cpp.

The documentation for this class was generated from the following file:

- btTriangleMeshShape.cpp